com.google.cloud.dataflow.sdk.io.datastore

## Class DatastoreIO

- java.lang.Object
- - com.google.cloud.dataflow.sdk.io.datastore.DatastoreIO

    @Experimental(value=SOURCE_SINK)
    public class DatastoreIO
    extends Object

`DatastoreIO` provides an API for reading from and writing to Google Cloud Datastore over different versions of the Cloud Datastore Client libraries.

To use the v1 version see `DatastoreV1`.

### Method Summary

All Methods Static Methods Concrete Methods
`static DatastoreV1` `v1()` Returns a `DatastoreV1` that provides an API for accessing Cloud Datastore through v1 version of Cloud Datastore Client library.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### v1

    public static DatastoreV1 v1()

Returns a `DatastoreV1` that provides an API for accessing Cloud Datastore through v1 version of Cloud Datastore Client library.